CatálogoListas de precios
Crear lista de precios
Crea una lista de precios con su alcance, reglas y precios por variante.
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/catalog/price-lists" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Mayorista", "currency": "PEN", "isActive": true, "priority": 10, "scope": "product", "productIds": [ "7204558912004325302" ], "items": [ { "variantId": "7204558912004325377", "unitPrice": 75, "breaks": [ { "minQuantity": 12, "unitPrice": 69 }, { "minQuantity": 50, "unitPrice": 65 } ] }, { "variantId": "7204558912004325382", "unitPrice": 75, "breaks": [ { "minQuantity": 12, "unitPrice": 69 }, { "minQuantity": 50, "unitPrice": 65 } ] } ] }'{ "id": "7204558912004325340"}